package ru.ttyh.neko259.notey.test;

import android.content.Context;
import android.test.AndroidTestCase;
import android.test.IsolatedContext;
import android.test.RenamingDelegatingContext;
import android.test.mock.MockContentResolver;
import com.j256.ormlite.android.apptools.OpenHelperManager;
import ru.ttyh.neko259.notey.db.NotesDBOpenHelper;
import ru.ttyh.neko259.notey.test.mock.MockNotesDBOpenHelper;

public class DBTest extends AndroidTestCase {

	private static final String FILENAME_PREFIX = "test.";
	private NotesDBOpenHelper helper;

	@Override
	protected void setUp() throws Exception {
		super.setUp();

		MockContentResolver resolver = new MockContentResolver();
		RenamingDelegatingContext targetContextWrapper = new
				RenamingDelegatingContext(getContext(), FILENAME_PREFIX);
		Context context = new IsolatedContext(resolver, targetContextWrapper);

		OpenHelperManager.setOpenHelperClass(null);
		helper = OpenHelperManager.getHelper(context,
				MockNotesDBOpenHelper.class);
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();

		helper.getNoteDao().deleteBuilder().delete();
		helper.getClassCacheDao().deleteBuilder().delete();

		OpenHelperManager.releaseHelper();
		helper = null;
	}

	public NotesDBOpenHelper getHelper() {
		return helper;
	}

}
