package ru.ttyh.neko259.notey.app;

import android.app.Application;
import android.content.Context;
import com.j256.ormlite.android.apptools.OpenHelperManager;
import ru.ttyh.neko259.notey.db.NotesDBOpenHelper;

public class NotesApplication extends Application {
	
	public static NotesApplication instance;
	private NotesDBOpenHelper databaseHelper;
	
	public NotesApplication() {
		instance = this;
	}
	
	public static Context getContext() {
		return instance;
	}

	public static NotesApplication getInstance() {
		return instance;
	}

	public NotesDBOpenHelper getDatabaseHelper() {
		return databaseHelper;
	}

	@Override
	public void onCreate() {
		super.onCreate();

		databaseHelper = OpenHelperManager.getHelper(this,
				NotesDBOpenHelper.class);
	}

	@Override
	public void onLowMemory() {
		OpenHelperManager.releaseHelper();
		databaseHelper = null;
	}
}