package ru.ttyh.neko259.notey.bean;

import com.j256.ormlite.field.DataType;
import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;
import ru.ttyh.neko259.notey.db.ClassCacheDao;

@DatabaseTable(tableName = "cache", daoClass = ClassCacheDao.class)
public class ClassCacheBean {

	public static final String COLUMN_ID = "_id";
	public static final String COLUMN_ENTITY_NAME = "entity_name";
	public static final String COLUMN_ENTITY_ID = "entity_id";
	public static final String COLUMN_KEY = "key";
	public static final String COLUMN_VALUE = "value";

	@DatabaseField(dataType = DataType.LONG, columnName = COLUMN_ID,
			generatedId = true)
	private long id;

	@DatabaseField(dataType = DataType.STRING, columnName = COLUMN_ENTITY_NAME)
	private String cachedEntityName;

	@DatabaseField(dataType = DataType.LONG, columnName = COLUMN_ENTITY_ID)
	private long cachedEntityId;

	@DatabaseField(dataType = DataType.STRING, columnName = COLUMN_KEY)
	private String key;

	@DatabaseField(dataType = DataType.STRING, columnName = COLUMN_VALUE)
	private String value;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getCachedEntityName() {
		return cachedEntityName;
	}

	public void setCachedEntityName(String cachedEntityName) {
		this.cachedEntityName = cachedEntityName;
	}

	public long getCachedEntityId() {
		return cachedEntityId;
	}

	public void setCachedEntityId(long cachedEntityId) {
		this.cachedEntityId = cachedEntityId;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}