package ru.ttyh.neko259.notey.db;

import com.j256.ormlite.dao.BaseDaoImpl;
import com.j256.ormlite.stmt.DeleteBuilder;
import com.j256.ormlite.stmt.Where;
import com.j256.ormlite.support.ConnectionSource;
import ru.ttyh.neko259.notey.bean.ClassCacheBean;

import java.sql.SQLException;

public class ClassCacheDao extends BaseDaoImpl<ClassCacheBean, Long> {

	public ClassCacheDao(ConnectionSource connectionSource) throws SQLException {
		super(connectionSource, ClassCacheBean.class);
	}

	public String get(String entityName, long entityId, String key) {
		ClassCacheBean cacheBean = null;

		try {
			cacheBean = queryBuilder().where()
					.eq(ClassCacheBean.COLUMN_ENTITY_NAME, entityName).and()
					.eq(ClassCacheBean.COLUMN_ENTITY_ID, entityId).and()
					.eq(ClassCacheBean.COLUMN_KEY, key).queryForFirst();
		} catch (SQLException e) {
			e.printStackTrace();
			// FIXME Use logger that logs stack trace and message
		}

		return (cacheBean == null) ? null : cacheBean.getValue();
	}

	public void set(String entityName, long entityId, String key, String value) {
		ClassCacheBean cacheBean = null;

		try {
			cacheBean = queryBuilder().where()
					.eq(ClassCacheBean.COLUMN_ENTITY_NAME, entityName).and()
					.eq(ClassCacheBean.COLUMN_ENTITY_ID, entityId).and()
					.eq(ClassCacheBean.COLUMN_KEY, key).queryForFirst();
		} catch (SQLException e) {
			e.printStackTrace();
			// FIXME Use logger that logs stack trace and message
		}

		if (cacheBean != null) {
			cacheBean.setValue(value);
			try {
				update(cacheBean);
			} catch (SQLException e) {
				e.printStackTrace(); // FIXME
			}
		} else {
			cacheBean = new ClassCacheBean();
			cacheBean.setCachedEntityName(entityName);
			cacheBean.setCachedEntityId(entityId);
			cacheBean.setKey(key);
			cacheBean.setValue(value);

			try {
				create(cacheBean);
			} catch (SQLException e) {
				e.printStackTrace(); // FIXME
			}
		}
	}

	public void removeEntityCache(String entityName, long entityId) {
		try {
			DeleteBuilder<ClassCacheBean, Long> deleteBuilder = deleteBuilder();
			Where<ClassCacheBean, Long> where = deleteBuilder.where()
					.eq(ClassCacheBean.COLUMN_ENTITY_NAME, entityName).and()
					.eq(ClassCacheBean.COLUMN_ENTITY_ID,
							entityId);
			deleteBuilder.setWhere(where);
			deleteBuilder.delete();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

}
