package ru.ttyh.neko259.notey.ui.ctrl;

import android.content.Context;
import android.content.Intent;
import android.graphics.Point;
import org.osmdroid.DefaultResourceProxyImpl;
import org.osmdroid.api.IMapView;
import org.osmdroid.util.GeoPoint;
import org.osmdroid.views.overlay.ItemizedOverlay;
import org.osmdroid.views.overlay.OverlayItem;
import ru.ttyh.neko259.notey.R;
import ru.ttyh.neko259.notey.app.NotesApplication;
import ru.ttyh.neko259.notey.bean.NoteBean;
import ru.ttyh.neko259.notey.ui.NoteViewActivity;

import java.util.List;

public class NotesMapOverlay extends ItemizedOverlay {

    private List<NoteBean> items;
    private Context context;

    public NotesMapOverlay(Context context, List<NoteBean> items) {
        super(context.getResources().getDrawable(R.drawable.map_note),
                new DefaultResourceProxyImpl(NotesApplication.getContext()));

        this.items = items;
        this.context = context;

        populate();
    }

    @Override
    protected OverlayItem createItem(int position) {
        NoteBean note = items.get(position);
        GeoPoint location = new GeoPoint(note.getLatitude(),
                note.getLongitude());

        return new OverlayItem(note.getTitle(), null, location);
    }

    @Override
    public int size() {
        return items.size();
    }

    @Override
    public boolean onSnapToItem(int x, int y, Point point,
                                IMapView iMapView) {
        return false;
    }

    private void openLocation(int position) {
        Intent intent = new Intent(context, NoteViewActivity.class);
        intent.putExtra(NoteViewActivity.EXTRA_NOTE_ID, items.get(position).getId());
        context.startActivity(intent);
    }

}