package ru.ttyh.neko259.notey.ui.dialog;

import android.app.DatePickerDialog;
import android.support.v4.app.FragmentActivity;
import android.widget.DatePicker;

import java.util.Calendar;

public class DatePickerDialogHolder extends PickerDialogHolder implements
		DialogHolder {

	private static final String TAG_DIALOG_TIME = "timeDialog";

	public DatePickerDialogHolder(FragmentActivity activity) {
		super(activity);
	}

	@Override
	public void showDialog(Calendar initialCalendar) {
		DatePickerFragmentDialog dialog =
				new DatePickerFragmentDialog();
		dialog.setCalendar(initialCalendar);

		dialog.setOnDateSetListener(new DatePickerDialog.OnDateSetListener() {
			@Override
			public void onDateSet(DatePicker view, int year, int monthOfYear, int dayOfMonth) {
				if (calendar == null) {
					calendar = Calendar.getInstance();
				}

				calendar.set(Calendar.YEAR, year);
				calendar.set(Calendar.MONTH, monthOfYear);
				calendar.set(Calendar.DAY_OF_MONTH, dayOfMonth);

				if (onCalendarChangedListener != null) {
					onCalendarChangedListener.onChanged(calendar);
				}
			}
		});
		dialog.show(activity.getSupportFragmentManager(), TAG_DIALOG_TIME);
	}

}