package ru.ttyh.neko259.notey.ui.dialog;

import android.app.DatePickerDialog;
import android.app.Dialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.widget.DatePicker;

import java.util.Calendar;

public class DatePickerFragmentDialog extends DialogFragment implements
		DatePickerDialog.OnDateSetListener {

	private Calendar calendar;
	private DatePickerDialog.OnDateSetListener onDateSetListener;

	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		Calendar calendar = this.calendar == null ? Calendar.getInstance()
				: this.calendar;

		DatePickerDialog dialog = new DatePickerDialog(getActivity(), this,
				calendar.get(Calendar.YEAR), calendar.get(Calendar.MONTH),
				calendar.get(Calendar.DAY_OF_MONTH));

		return dialog;
	}

	@Override
	public void onDateSet(DatePicker view, int year, int monthOfYear,
			int dayOfMonth) {
		if (onDateSetListener != null) {
			onDateSetListener.onDateSet(view, year, monthOfYear, dayOfMonth);
		}
	}

	public void setCalendar(Calendar calendar) {
		this.calendar = calendar;
	}

	public void setOnDateSetListener(DatePickerDialog.OnDateSetListener
			onDateSetListener) {
		this.onDateSetListener = onDateSetListener;
	}

}