package ru.ttyh.neko259.notey.ui.dialog;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.Context;
import android.content.res.Resources;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import ru.ttyh.neko259.notey.R;
import ru.ttyh.neko259.notey.app.NotesApplication;
import ru.ttyh.neko259.notey.bean.NoteBean;
import ru.ttyh.neko259.notey.db.NotesDBOpenHelper;
import ru.ttyh.neko259.notey.ui.adapters.OnDialogClickListener;
import ru.ttyh.neko259.notey.ui.listener.OnListChangedListener;

public class NoteActionsDialog extends DialogFragment {

    private Context context;
    private long noteId;
    private OnListChangedListener listChangedListener;
	private NotesDBOpenHelper databaseHelper;

	public NoteActionsDialog() {
        // Empty constructor required for DialogFragment
    }

    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        Resources resources = context.getResources();

        String[] items = new String[]{
                resources.getString(R.string.edit),
                resources.getString(R.string.remove),
                resources.getString(R.string.export)
        };

		NoteBean note = NotesApplication.getInstance().getDatabaseHelper()
				.getNoteDao().getNoteById(
				noteId);

        AlertDialog.Builder builder = new AlertDialog.Builder(context);
        builder.setTitle(note.getTitle());

        OnDialogClickListener listener = new OnDialogClickListener(context,
                noteId);
        listener.setOnListChangedListener(listChangedListener);
        builder.setItems(items, listener);

        return builder.create();
    }

    public void setContext(Context context) {
        this.context = context;
    }

    public void setNoteId(long id) {
        this.noteId = id;
    }

    public void setListChangedListener(OnListChangedListener listChangedListener) {
        this.listChangedListener = listChangedListener;
    }

}