package ru.ttyh.neko259.notey.ui.dialog;

import android.app.TimePickerDialog;
import android.support.v4.app.FragmentActivity;
import android.widget.TimePicker;

import java.util.Calendar;

public class TimePickerDialogHolder extends PickerDialogHolder implements
		DialogHolder {

	private static final String TAG_DIALOG_DATE = "dateDialog";

	public TimePickerDialogHolder(FragmentActivity activity) {
		super(activity);
	}

	@Override
	public void showDialog(Calendar initialCalendar) {
		TimePickerFragmentDialog dialog =
				new TimePickerFragmentDialog();
		dialog.setCalendar(initialCalendar);

		dialog.setOnTimeSetListener(new TimePickerDialog.OnTimeSetListener() {
			@Override
			public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
				if (calendar == null) {
					calendar = Calendar.getInstance();
				}

				calendar.set(Calendar.HOUR_OF_DAY, hourOfDay);
				calendar.set(Calendar.MINUTE, minute);

				if (onCalendarChangedListener != null) {
					onCalendarChangedListener.onChanged(calendar);
				}
			}
		});
		dialog.show(activity.getSupportFragmentManager(), TAG_DIALOG_DATE);
	}

}