package ru.ttyh.neko259.notey.ui.dialog;

import android.app.Dialog;
import android.app.TimePickerDialog;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;
import android.widget.TimePicker;

import java.util.Calendar;

public class TimePickerFragmentDialog extends DialogFragment implements
		TimePickerDialog.OnTimeSetListener {

	private Calendar calendar;
	private TimePickerDialog.OnTimeSetListener onTimeSetListener;

	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		Calendar calendar = this.calendar == null ? Calendar.getInstance()
				: this.calendar;

		TimePickerDialog dialog = new TimePickerDialog(getActivity(), this,
				calendar.get(Calendar.HOUR_OF_DAY), calendar.get(Calendar
				.MINUTE), true);

		return dialog;
	}

	public void setCalendar(Calendar calendar) {
		this.calendar = calendar;
	}

	public void setOnTimeSetListener( TimePickerDialog.OnTimeSetListener
					onTimeSetListener) {
		this.onTimeSetListener = onTimeSetListener;
	}

	@Override
	public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
		if (onTimeSetListener != null) {
			onTimeSetListener.onTimeSet(view, hourOfDay, minute);
		}
	}
}