package ru.ttyh.neko259.notey.util;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class Utility {
	
	public static String getTimeString(Date date) {
		DateFormat format = SimpleDateFormat.getTimeInstance(DateFormat.SHORT);
		
		return format.format(date);
	}
	
	public static String getDateString(Date date) {
		DateFormat format = SimpleDateFormat.getDateInstance(DateFormat.SHORT);
		
		return format.format(date);
	}

	public static String getTimeDateString(Date date) {
		DateFormat format = SimpleDateFormat.getDateTimeInstance(DateFormat
				.SHORT, DateFormat.SHORT);

		return format.format(date);
	}

	/**
	 * Get a date described as time (if today) or date (if older) or both date
	 * and time.
	 *
	 * @param date date
	 * @param dateAndTime
	 * @return date text
	 */
	public static String getDateOrTimeString(Date date, boolean dateAndTime) {
		String dateText;

		if (dateAndTime) {
			dateText = getTimeDateString(date);
		} else {
			Calendar noteCalendar = Calendar.getInstance();
			noteCalendar.setTime(date);

			Calendar nowCalendar = Calendar.getInstance();
			nowCalendar.setTime(new Date());

			if (sameDay(noteCalendar, nowCalendar)) {
				dateText = getTimeString(date);
			} else {
				dateText = getDateString(date);
			}
		}

		return dateText;
	}

	private static boolean sameDay(Calendar calendar, Calendar nowCalendar) {
		return calendar.get(Calendar.DAY_OF_YEAR) == nowCalendar.get(Calendar
				.DAY_OF_YEAR) && calendar.get(Calendar.YEAR) == nowCalendar
				.get(Calendar.YEAR);
	}

}